cURL
curl "https://api.particle.pro/v1/slack/connections/callback"{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Slack Connections
Complete a Slack workspace OAuth install
Slack redirects the user’s browser here with code+state. Exchanges the code for a bot token, persists the connection, and 302s back to the originating surface’s UI with connection_id and status query params.
GET
/
v1
/
slack
/
connections
/
callback
cURL
curl "https://api.particle.pro/v1/slack/connections/callback"{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Was this page helpful?